Bug 627619 - [enh] don't run unless modems are connected
[enh] don't run unless modems are connected
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-26 10:23 EDT by Zdenek Kabelac
Modified: 2015-02-17 08:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:21:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2010-08-26 10:23:58 EDT
Description of problem:

I don't see a reason for having running task doing completely nothing and eating 2-3MB of memory and I would prefer to have a switch to disable startup of modem-manager and in fact - why it does load  all the plugins - when these plugins could be loaded just in time some modem is found in system ??

Version-Release number of selected component (if applicable):
NetworkManager-0.8.1-5.git20100818.fc15.x86_64


How reproducible:
Startup system and notice there is NM which executes modem-manager and loads all plugins - and just eats memory doing nothing.....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Carl G. 2010-08-26 19:10:47 EDT
+1, i would like to disable modem manager.
Comment 2 Andreas M. Kirchwitz 2011-01-15 19:41:52 EST
Same for "wpa_supplicant". Although the init.d script is disabled, the process is running in the background (and cannot be killed because it's restarted automatically) like "modem-manager". The machine is connected to the network with just an Etherner cable.

This is for Fedora 14.
Comment 3 Fedora End Of Life 2013-04-03 14:31:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 11:20:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 08:21:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.